## firebird2.1 2.1.4.18393-0.ds2

=== debian/changelog ===
firebird2.1 (2.1.4.18393-0.ds2-2) unstable; urgency=low

  * apply patch from upstream SVN fixing ICU collations
  * remove lintian overrides about manpages shipped in dependency package
  * claim compliancy with Policy 3.9.2

 -- Damyan Ivanov <dmn@debian.org>  Fri, 22 Apr 2011 18:59:44 +0300

firebird2.1 (2.1.4.18393-0.ds2-1) unstable; urgency=low

  * sourceful upload using the right, pdf-pruned orig tarball
  * bump ds version in the repack script
  * do not register non-existing PDFs with doc-base
  * -common.postrm: remove log on purge.
    Closes: #618883 -- unowned files after purge (policy 6.8, 10.8)
    Thanks to Holger Levsen for the reminder.
  * replace dk_clean -k with dh_prep
  * bump debhelper compatibility level to 7

 -- Damyan Ivanov <dmn@debian.org>  Sun, 20 Mar 2011 09:49:32 +0200

firebird2.1 (2.1.4.18393-0.ds1-1) unstable; urgency=low

  * Official 2.1.4 bugfix release

  * repack: drop source-less PDFs
  * mention repackaging in README.source
  * add svn/gcc-4.5.patch from upstream SVN fixing FTBFS with gcc 4.5
    (Closes: #615674)

 -- Damyan Ivanov <dmn@debian.org>  Wed, 16 Mar 2011 14:12:36 +0200

firebird2.1 (2.1.4.18393-0~rc1.ds1-4) unstable; urgency=low

  * drop remnant of the -2 s390 patch, causing FTBFS

 -- Damyan Ivanov <dmn@debian.org>  Sat, 12 Feb 2011 21:45:36 +0200

firebird2.1 (2.1.4.18393-0~rc1.ds1-3) unstable; urgency=low

  * rules: drop extra -DTERMINATE_LOCK_MANAGER from CxxFLAGS
  * really fix s390 build by enabling the lock manager in configure.in

 -- Damyan Ivanov <dmn@debian.org>  Sat, 12 Feb 2011 15:22:40 +0200

firebird2.1 (2.1.4.18393-0~rc1.ds1-2) unstable; urgency=low

  * add fb_lock_mgr to classic targets on s390
  * remove Daniel Urban from Uploaders:
  * drop alternative dependency on cdebconf

 -- Damyan Ivanov <dmn@debian.org>  Fri, 11 Feb 2011 20:58:10 +0200

firebird2.1 (2.1.4.18393-0~rc1.ds1-1) unstable; urgency=low

  * New upstream bugfix release candidate

  * silence doc symlink creation
  * fix the check for update-inetd presense
  * write a real manual page for gpre
  * control: drop (alternative) dependency on cdebconf
  * watch: look for prereleases
  * update debian/copyright (nothing drastic)
  * patchworks
   + rename mcpu-to-mttune to march-i486.patch now the name reflects the
     content
   + do not redundantly include make.platform in Makefile.in.firebird
   + remove -pthread from ibutil (they use none of its symbols)
   + adapt fix-mipseb-detect.patch and no-rpath.patch to the new prerelease
   + drop merged/no longer needed port-s390, port-sh4 and use-libedit patched
   + refresh the rest to apply cleanly
   + adopt "quilt (3.0)" source format
    - remove quilt from debian/rules and build-dependencies

 -- Damyan Ivanov <dmn@debian.org>  Tue, 08 Feb 2011 17:50:35 +0200

firebird2.1 (2.1.3.18185-0.ds1-11) unstable; urgency=low

  * all .postinst: add db_stop at the end
    this hopefuly solves an hardly reproducible hang during configuration
    (LP: #566710)
  * all .init: do not fail miserably if no argument is supplied.
    Closes: #578470 -- /etc/init.d/firebird2.1-{classic,super}: 1: parameter
    not set; Thanks to Nelson A. de Oliveira
  * Standards-Version: 3.9.1 (no changes necessary)
  * control: stop conflicting with packages not in Lenny
  * control: server packages also provide firebird-utils

 -- Damyan Ivanov <dmn@debian.org>  Wed, 04 Aug 2010 15:56:01 +0300

firebird2.1 (2.1.3.18185-0.ds1-10) unstable; urgency=low

  * add Danish translation of debconf templates
    Thanks to Joe Dalton. Closes: #587812

 -- Damyan Ivanov <dmn@debian.org>  Sat, 03 Jul 2010 09:51:04 +0300

firebird2.1 (2.1.3.18185-0.ds1-9) unstable; urgency=low

  * add powerpc-no-mcpu.patch fixing miscompile on powerpcspe Thanks to
    Sebastian Andrzej Siewior (Closes: #586253)
  * override lintian warning about -common-doc being an empty package
  * debconf-updatepo refreshed all .po files

 -- Damyan Ivanov <dmn@debian.org>  Fri, 18 Jun 2010 00:25:19 +0300

firebird2.1 (2.1.3.18185-0.ds1-8) unstable; urgency=high

  * add libib-util to server packages' Recommends.
    Closes: #524052 -- Home made UDF cannot use libib_utils.so
  * *.postrm: protect db_input calls with '|| true'
    Closes: #574222, #574226 (purge fails with noninteractive debconf frontend and
    critical priority)
    + high urgency for fixing serious bugs

 -- Damyan Ivanov <dmn@debian.org>  Wed, 17 Mar 2010 18:13:31 +0200

firebird2.1 (2.1.3.18185-0.ds1-7) unstable; urgency=low

  * Remove Francesco from Uploaders with his permission.
  * Stop generating libfbclient2 binary package (now provided by firebird2.5
    source)
    - add libfbclient2 to build-dependencies
  * Fix several typos in gbak and isql-fb manpages (thanks, lintian)
  * -classic.postrm: fix removal of the inetd service
  * drop lock-file-location.patch and use a wrapper around all binaries which
    sets FIREBIRD and FIREBIRD_LOCK variables
    Closes: #567948 -- firebird2.1-super: won't start due to missing
                       /tmp/firebird/run
  * -super.init: drop trailing periods from lsb messages
  * drop ancient NEWS.Debian
  * fix a typo in isql-fb manual page
  * Standards-Version: 3.8.4 (no changes necessary)
  * override lintian warnings about unused-debconf-template whic are used via
    variables

 -- Damyan Ivanov <dmn@debian.org>  Wed, 24 Feb 2010 11:27:40 +0200

firebird2.1 (2.1.3.18185-0.ds1-6) unstable; urgency=low

  * port-s390.patch: add missing LOCK_MANAGER_FLG=Y to the configure.in stanza

 -- Damyan Ivanov <dmn@debian.org>  Tue, 20 Oct 2009 10:40:44 +0300

firebird2.1 (2.1.3.18185-0.ds1-5) unstable; urgency=low

  * fix xdr.cpp part of port-s390.patch to properly detect s390
    Closes: #550342

 -- Damyan Ivanov <dmn@debian.org>  Mon, 19 Oct 2009 09:51:17 +0300

firebird2.1 (2.1.3.18185-0.ds1-4) unstable; urgency=low

  * fix port-s390.patch to add prefix.linux_s390x in the right directory. Third
    time for luck.


