=== debian/watch ===
# watch control file for uscan
# you can run the "uscan" command
# to check for upstream updates and more.
# Full-site-with-pattern  [Version  [Action]]

version=3
opts="dversionmangle=s/(?:\.ds\d+)$//,uversionmangle=s/[-.](?=\D)/~/g;s/./\l$&/g" \
  http://www.firebirdsql.org/download/prerelease/source/ \
  .*Firebird-(2\.1\..+)\.tar\.bz2 debian sh debian/repack.sh
opts="dversionmangle=s/~((rc|alpha|beta)\d+)/-$1/;s/\.ds\d+//,uversionmangle=s/\.17910-0$/.17910-release/" \
  http://sf.net/firebird/[Ff]irebird-(2\.1\..*).tar.bz2 debian debian/repack.sh
