## firebird2.1 2.1.5.18496-0.ds2

=== debian/changelog ===
firebird2.1 (2.1.5.18496-0.ds2-1) unstable; urgency=low

  * Official 2.1.5 upstream release
   + The only change is the addition of config.sub file

  * Update copyright information about config.sub
  * honour-buildflags.patch: add CXXFLAGS when compiling makeHeader
    (intermediate binary used only during build). This makes blhc silent.

 -- Damyan Ivanov <dmn@debian.org>  Wed, 27 Jun 2012 09:22:56 +0300

firebird2.1 (2.1.5~svn+54537.ds2-1) unstable; urgency=low

  * New snapshot from upstream 2.1 release branch, r54537
    + More fixes for CORE-3557 (segfault in engine when preparing query
      against dropped table)

  * -server-common/purge: remove directories only if they exist. Fixes
    piuparts failure. Closes: #673757
  * add patches allowing using hardenning flags
  * override false lintian positives about hardenning
  * Drop transitional firebird2.1-dev package (no more reverse build
    dependencies)

 -- Damyan Ivanov <dmn@debian.org>  Sat, 26 May 2012 19:24:27 +0300

firebird2.1 (2.1.5~svn+54475.ds2-2) unstable; urgency=low

  * revert "drop -common-doc dependency from firebird2.1-dev"
  * Standards-Version: 3.9.3 (no changes needed)

 -- Damyan Ivanov <dmn@debian.org>  Sun, 13 May 2012 16:39:53 +0300

firebird2.1 (2.1.5~svn+54475.ds2-1) unstable; urgency=low

  * repack.sh: handle xz-compressed tarballs too
  * repack.sh: produce xz-compressed tarball
  * do not abort on non-existing files when cleaning upstream tree
  * add script for packaging snapshots from upstream SVN

  * New snapshot from upstream 2.1 release branch, r54475
    Contains a total of 63 fixes and improvementssince 2.1.4 release. See
    /usr/share/doc/firebird2.1-common-doc/doc/WhatsNew.gz for details.
    Two changes aren't documented there:
    + CORE-3802: Firebird runs out of memory while restoring database backup
    + CORE-3807: Error "Invalid expression in the select list" can be
      unexpectedly raised if a string literal is used inside a GROUP BY clause
      in a multi-byte connection
  * drop four patches included upstream
  * refresh patches to apply cleanly
  * embed.shlibs: allow for snapshot/backported versions
  * -super.init: unset ISC_USER/ISC_PASSWORD to ensure clean startup
    environment
  * -server-common.postrm: fix removing of rundir when /var/run is a symlink.
    see #667067
  * remove /var/run/firebird/$VER/system and its parents up to /var/lib on purge
  * compress binary packages with xz
  * -classic.init: implement status option
  * drop -common-doc dependency from firebird2.1-dev
  * add a patch fixing compilation with gcc 4.7

 -- Damyan Ivanov <dmn@debian.org>  Sat, 12 May 2012 22:26:11 +0300

firebird2.1 (2.1.4.18393-0.ds2-7) unstable; urgency=medium

  * Medium urgency due to fixing a serious bug

  * -server-common.postrm: fix --ignore-fail-on-non-empty option to rmdir
    (Closes: #660592)

 -- Damyan Ivanov <dmn@debian.org>  Mon, 20 Feb 2012 10:44:49 +0200

firebird2.1 (2.1.4.18393-0.ds2-6) unstable; urgency=low

  * do not fail creating existing firebird user (LP#695088)
  * do not ship libib_util.so in the private library directory
    instead, rely on the recommended libib-util package
  * fix typo in French debconf translation (SYSBDA → SYSDBA)
  * server-config: add explicit db_stop

 -- Damyan Ivanov <dmn@debian.org>  Tue, 13 Sep 2011 23:04:23 +0300

firebird2.1 (2.1.4.18393-0.ds2-5) unstable; urgency=low

  * server-common.postrm: remove $RUN on removal
  * functions: do not create $RUN in postinst, init scripts will take care of
    that

 -- Damyan Ivanov <dmn@debian.org>  Tue, 13 Sep 2011 11:14:36 +0300

firebird2.1 (2.1.4.18393-0.ds2-4) unstable; urgency=low

  * make firebird2.1-dev a transitional package depending on firebird-dev
  * copyright: point to GPL-N for "version N or later" licenses
  * install fbintl with .so extension and not executable
  * drop lintian overrides about -common-doc by rewording the description

 -- Damyan Ivanov <dmn@debian.org>  Mon, 12 Sep 2011 16:33:32 +0300

firebird2.1 (2.1.4.18393-0.ds2-3) unstable; urgency=low

  * firebird2.1-dev: adapt to multi-arch libfbclient2
    +(build-)depend on multi-arch libfbclient2
    + Arch: any (symlink in arch-dep) directory
    + symlinks in multi-arch directory (Closes: #641137)
  * rules: provide build-arch and build-indep targets

 -- Damyan Ivanov <dmn@debian.org>  Sun, 11 Sep 2011 10:18:32 +0300
