=== debian/control ===
--- 
+++ 
@@ -3,11 +3,12 @@
 Priority: optional
 Maintainer: Debian Firebird Group <pkg-firebird-general@lists.alioth.debian.org>
 Uploaders: Damyan Ivanov <dmn@debian.org>
-Build-Depends: debhelper (>= 7), docbook-to-man, bison,
- libicu-dev, libedit-dev, libfbclient2, po-debconf,
+Build-Depends: debhelper (>= 7), docbook-to-man, bison, dpkg-dev (>= 1.16.1~),
+ libicu-dev, libedit-dev, libfbclient2 (>= 2.5.1.26349-0~rc1.ds4-1~),
+ po-debconf,
  gawk, autoconf, libtool, automake, perl
 Build-Conflicts: autoconf2.13, automake1.4
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Vcs-Git: git://git.debian.org/git/pkg-firebird/2.1.git
 Vcs-Browser: http://git.debian.org/?p=pkg-firebird/2.1.git;a=summary
 Homepage: http://firebirdsql.org/
@@ -137,25 +138,12 @@
  Please refer to the firebird2.1-super or firebird2.1-classic packages for more
  information about Firebird in general.
 
-Package: firebird2.1-dev
-Section: libdevel
-Architecture: all
-Conflicts: firebird2.0-dev
-Depends: libfbclient2 (>= 2.1), ${misc:Depends},
- firebird2.1-common-doc (= ${source:Version})
-Suggests: libfbembed2.1, firebird2.1-examples
-Description: Development files for Firebird - an RDBMS based on InterBase 6.0 code
- This package contains header files for Firebird.
- .
- Please refer to the firebird2.1-super and firebird2.1-classic packages for
- more information about Firebird in general.
-
 Package: firebird2.1-examples
 Section: doc
 Architecture: all
 Depends: ${misc:Depends},
  firebird2.1-common-doc (= ${source:Version})
-Recommends: firebird2.1-dev
+Recommends: firebird-dev
 Description: Examples for Firebird - an RDBMS based on InterBase 6.0 code
  The examples included in this package are provided as samples and are also
  used by Firebird's testing suite (TCS). The examples are in the form
@@ -179,8 +167,8 @@
 Architecture: all
 Depends: ${misc:Depends}
 Description: copyright, licensing and changelogs of firebird2.1
- This package contains the copyright and licensing information of firebird2.1,
- as well as the upstream changelog.
+ This is an (otherwise) empty package contains the copyright and licensing
+ information of firebird2.1, as well as the upstream changelog.
  .
  Due to the size of the upstream change log and copyright/licensing summary,
  keeping them in a separate package saves space on mirrors and when installing
