=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,8 @@
 
 # Uncomment this to turn on verbose mode. 
 #export DH_VERBOSE=1
+
+export DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 FB_MAJOR:= $(shell awk '/FB_MAJOR_VER/ { v=$$3; gsub("\"", "", v); print v}' < src/jrd/build_no.h )
 FB_MINOR:= $(shell awk '/FB_MINOR_VER/ { v=$$3; gsub("\"", "", v); print v}' < src/jrd/build_no.h )
@@ -46,14 +48,14 @@
 	confflags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
 endif
 
-confflags += --disable-static --disable-rpath --with-gpre-cobol --with-system-icu --with-system-editline --prefix=/usr/lib/firebird/$(FB_VER)
-
-# This causes the lock manager that is started during the build
-# to terminate after some idle time, avoiding leaving stale
-# processes on buildds
+confflags += --disable-static --disable-rpath --with-gpre-cobol			    \
+    --with-system-icu --with-system-editline --prefix=/usr/lib/firebird/$(FB_VER)   \
+    $(shell dpkg-buildflags --export=configure)
+
+export DPKG_EXPORT_BUILDFLAGS=1
+include /usr/share/dpkg/buildflags.mk
 CFLAGS		+= -Werror=write-strings
 CXXFLAGS	+= -Werror=write-strings
-export CFLAGS CXXFLAGS
 
 # We're building 2 flavours resulting in 9 binary packages:
 # * Super server
@@ -99,9 +101,14 @@
 
 	touch $@
 
-.PHONY: build
-build: build-stamp
-build-stamp: build-manuals build-super-stamp build-classic-stamp
+.PHONY: build build-arch build-indep
+build: build-arch build-indep
+
+build-arch: build-stamp
+
+build-indep: build-manuals
+
+build-stamp: build-super-stamp build-classic-stamp
 	touch $@
 
 MANUALS_BASE = isql-fb fbmgr gbak gdef gfix gpre gsec fbstat qli nbackup
@@ -224,7 +231,7 @@
 	dh_installdeb -i
 	dh_gencontrol -i
 	dh_md5sums -i
-	dh_builddeb -i
+	dh_builddeb -i -- -Zxz
 
 
 .PHONY: binary-arch
@@ -249,13 +256,13 @@
 	dh_fixperms -a
 
 	dpkg-gensymbols -plibfbembed$(EMBED_SOVER) -Pdebian/libfbembed$(EMBED_SOVER)
-	dh_makeshlibs -p libfbembed$(EMBED_SOVER) -V'libfbembed$(EMBED_SOVER) (>= $(FB_FULL_VER))'
+	dh_makeshlibs -p libfbembed$(EMBED_SOVER) -V'libfbembed$(EMBED_SOVER) (>= $(FB_FULL_VER)~)'
 
 	dh_installdeb -a
 	dh_shlibdeps -a
 	dh_gencontrol -a
 	dh_md5sums -a
-	dh_builddeb -a
+	dh_builddeb -a -- -Zxz
 
 .PHONY: binary
 binary: binary-indep binary-arch
